Skip to main content
POST
Upload Bank Statement Endpoint

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request schema for uploading a bank statement.

filename
string
required

Name of the file being uploaded

mime_type
required

MIME type of the file

Available options:
application/json,
application/pdf,
application/msword,
application/vnd.openxmlformats-officedocument.wordprocessingml.document,
application/vnd.ms-excel,
application/vnd.openxmlformats-officedocument.spreadsheetml.sheet,
application/vnd.ms-powerpoint,
application/vnd.openxmlformats-officedocument.presentationml.presentation,
text/csv,
application/csv,
text/plain,
text/html,
application/xml,
message/rfc822,
application/vnd.ms-outlook,
application/rtf,
text/markdown,
text/md
account_id
string | null

Bank account ID to associate the statement with

Response

Successful Response

Response schema for bank statement upload.

presigned_url
object
required

Presigned URL for S3 upload.

statement
object
required

Response schema for bank statement list items (no transactions).